package request

type QuestionListReq struct {
	PageIndex         int `json:"page_index" form:"page_index"`
	PageSize          int `json:"page_size" form:"page_size"`
	OnlyMine          int `json:"only_mine" form:"only_mine"`
	ChartPermissionId int `json:"chart_permission_id" form:"chart_permission_id"`
	ReplyStatus       int `json:"reply_status" form:"reply_status"`
	GroupId           int `json:"group_id" form:"group_id"`
}

type QuestionDetailReq struct {
	QuestionId int `json:"question_id" form:"question_id"`
}

type QuestionAskReq struct {
	QuestionContent string `json:"question_content"`
}

type QuestionReplyReq struct {
	QuestionId int                  `json:"question_id" form:"question_id"`
	AudioList  []*ReplyReqAudioList `json:"audio_list" form:"audio_list"`
}

type ReplyReqAudioList struct {
	AudioUrl         string `json:"audio_url" form:"audio_url"`
	AudioPlaySeconds string `json:"audio_play_seconds" form:"audio_url"`
	AudioSize        string `json:"audio_size" form:"audio_size"`
	Sort             int    `json:"sort" form:"sort"`
}

type QuestionReadReq struct {
	QuestionIds string `json:"question_ids" form:"question_ids"`
}

type ReplyListTotalReq struct {
	ReplierUserId int `json:"replier_user_id" form:"replier_user_id"`
}
